from django.db import models

# Create your models here.
class Entry(models.Model):
    Gaeilge = models.CharField(max_length=100)
    PoS = models.CharField(max_length=20)
    Pronoun = models.CharField(max_length=250, null=True, blank=True)
    PreScript = models.CharField(max_length=200, null=True, blank=True)
    PostScript = models.CharField(max_length=2000, null=True, blank=True)

class Meaning(models.Model):
    Entry = models.ForeignKey("Entry", on_delete=models.CASCADE)
    Meaning_content = models.CharField(max_length=500)
    Exam_Sentence1 = models.CharField(max_length=1000, null=True, blank=True)
    Exam_Sentence1_zh = models.CharField(max_length=1000, null=True, blank=True)
    Exam_Sentence2 = models.CharField(max_length=1000, null=True, blank=True)
    Exam_Sentence2_zh = models.CharField(max_length=1000, null=True, blank=True)   
    Exam_Sentence3 = models.CharField(max_length=1000, null=True, blank=True)
    Exam_Sentence3_zh = models.CharField(max_length=1000, null=True, blank=True)

class Noun(models.Model):
    Entry = models.ForeignKey("Entry", on_delete=models.CASCADE)
    Gender = models.IntegerField(default=1)
    Decl_no = models.IntegerField(default=1)
    Gsg = models.CharField(max_length=100, null=True, blank=True)
    Npl = models.CharField(max_length=100, null=True, blank=True)
    Gpl = models.CharField(max_length=100, null=True, blank=True)
    Dsg = models.CharField(max_length=100, null=True, blank=True)

class Adjective(models.Model):
    Entry = models.ForeignKey("Entry", on_delete=models.CASCADE)
    Decl_no = models.IntegerField()
    Gsm = models.CharField(max_length=100, null=True, blank=True)
    Gsf = models.CharField(max_length=100, null=True, blank=True)
    Comp = models.CharField(max_length=100, null=True, blank=True)

class Preposition(models.Model):
    Entry = models.ForeignKey("Entry", on_delete=models.CASCADE)
    _1sg = models.CharField(max_length=100, null=True, blank=True)
    _2sg = models.CharField(max_length=100, null=True, blank=True)
    _3sg_m = models.CharField(max_length=100, null=True, blank=True)
    _3sg_f = models.CharField(max_length=100, null=True, blank=True)
    _1pl = models.CharField(max_length=100, null=True, blank=True)
    _2pl = models.CharField(max_length=100, null=True, blank=True)
    _3pl = models.CharField(max_length=100, null=True, blank=True)

class Verb(models.Model):
    Entry = models.ForeignKey("Entry", on_delete=models.CASCADE)
    Conj_no = models.IntegerField()
    VN = models.CharField(max_length=100, null=True, blank=True)
    PP = models.CharField(max_length=100, null=True, blank=True)
    Conj_stem = models.CharField(max_length=100, null=True, blank=True)

class IrrVerb(models.Model):
    Entry = models.ForeignKey("Entry", on_delete=models.CASCADE)
    Form = models.IntegerField()
    Content = models.CharField(max_length=100)

class AltForm(models.Model):
    Entry = models.ForeignKey("Entry", on_delete=models.CASCADE)
    Content = models.CharField(max_length=100)



